package com.yfd.platform.modules.robotapi.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yfd.platform.modules.robotapi.domain.RobotOfflineLog;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zhengsl
 * @since 2024-06-26
 */
public interface RobotOfflineLogMapper extends BaseMapper<RobotOfflineLog> {

    List<Map<String, Object>> getOnlineDurationList(String robotCode, String patrolServerCode);

    List<Map<String, Object>> getOfflineTimes(String robotCode);

    Page<Map<String, Object>> getOnlineDurationPage(Page<Map<String, Object>> page, String stationId, String patrolDeviceCode, String patrolDeviceName, String type);

    List<Map<String, Object>> normalInspectionDays(String robotCode);

    List<Map<String, Object>> normalRunDays(String robotCode);
}
